package com.ruoyi;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import com.ruoyi.web.controller.JavaFunctionJobHandler;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.ConfigurableApplicationContext;

/**
 * 启动程序
 *
 * @author ruoyi
 */
@MapperScan("com.ruoyi.*.mapper")
//@EnableFeignClients
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
@EnableCaching
public class RuoYiApp {
    public static void main(String[] args) {
        // System.setProperty("spring.devtools.restart.enabled", "false");
        ConfigurableApplicationContext run = SpringApplication.run(RuoYiApp.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  启动成功   ლ(´ڡ`ლ)ﾞ  ");
        JavaFunctionJobHandler bean = run.getBean(JavaFunctionJobHandler.class);
        DateTime parse = DateUtil.parse("2025-02-24");
        //bean.calcTurbine5s2_ha(parse);
        //bean.calcCzRxd(DateUtil.beginOfDay(parse), DateUtil.endOfDay(parse));
    }
}
