package com.ruoyi.ucp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author gfhd
 * @since 2024-12-19
 */
@Data
@TableName("meter_info_day")
public class MeterInfoDay implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 场站
     */
    private String meterId;

    private String parentId;

    private String stationId;

    private String boosterId;

    /**
     * 时间
     */
    private Date recordDate;

    /**
     * 发电量
     */
    private Double fdl;

    /**
     * 耗电量
     */
    private Double hdl;
}
