package com.ruoyi.ucp.service;

import com.baomidou.mybatisplus.core.toolkit.support.SFunction;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.ucp.entity.StationInfoDay;
import com.ruoyi.ucp.util.DatePart;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author gfhd
 * @since 2024-03-05
 */
public interface IStationInfoDayService extends IService<StationInfoDay> {
    Map<String, StationInfoDay> getDatasByPartSelect(Date date, DatePart datePart, String selects, SFunction<StationInfoDay,String> groupId);
    List<StationInfoDay> getDatasByPartSelects(Date date, DatePart datePart, String selects, String groupId);
}
