package com.ruoyi.ucp.service;

import com.baomidou.mybatisplus.core.toolkit.support.SFunction;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.ucp.entity.TurbineInfoDay;
import com.ruoyi.ucp.util.DatePart;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author gfhd
 * @since 2024-05-29
 */
public interface ITurbineInfoDayService extends IService<TurbineInfoDay> {
    List<TurbineInfoDay> getDatasByPartSelects(Date date, DatePart datePart, String selects, String groupIds);
    Map<String, TurbineInfoDay> getDatasByPartSelect(Date date, DatePart datePart, String selects, SFunction<TurbineInfoDay,String> groupId);
}
