package com.ruoyi.ucp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author gfhd
 * @since 2024-03-21
 */
@Data
@TableName("line_info_day")
public class LineInfoDay implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String stationId;

    private String projectId;

    private String lineId;

    private Date recordDate;

    private Integer rfdl;
    private double swdl;
    private double gwdl;
    private double cydl;
    private double zyb;
    private double hdl;

    public double getSwdl() {
        if (Double.isNaN(swdl)) swdl = 0d;
        return swdl;
    }

    public double getGwdl() {
        if (Double.isNaN(gwdl)) gwdl = 0d;
        return gwdl;
    }

    public double getCydl() {
        if (Double.isNaN(cydl)) cydl = 0d;
        return cydl;
    }

    public double getZyb() {
        if (Double.isNaN(zyb)) zyb = 0d;
        return zyb;
    }
}
