package com.ruoyi.ucp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author gfhd
 * @since 2024-03-05
 */
@Data
@TableName("station_info_day")
public class StationInfoDay implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private String stationId;

    private Date recordDate;

    private Integer aqts;

    private Integer swdl;

    private Integer gwdl;

    private Integer cydl;

    private Integer rfdl;

    private Integer zhcydl;

    private Double hjwd;

    private Double rfdlFj;

    private Integer zyb;

    private Double jhfdl;

    private Double yxfss;

    private Double cftfs;

    private Double cftfx;

    private Double kydlzql;

    private Double qfxdl;

    private Double kqmd;

    private Double czxdl;

    public Double getQfxdl() {
        if (qfxdl == null || Double.isNaN(qfxdl)) qfxdl = 0d;
        return qfxdl;
    }
}
