package com.ruoyi.ucp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.ucp.entity.PointInfo;
import com.ruoyi.ucp.entity.StationInfoMonth;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author gfhd
 * @since 2024-03-05
 */
public interface IStationInfoMonthService extends IService<StationInfoMonth> {
    List<StationInfoMonth> getInfoByDate(Date date);
    List<StationInfoMonth> getInfoByDate(Date date, List<PointInfo> entity);
    Map<String, StationInfoMonth> getInfoByDateMap(Date date, List<PointInfo> entity);
}
