package com.ruoyi.ucp.util;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;

import java.util.Date;

public class SqlUtil {
    public static String getSelectSum(String selects) {
        String[] split = selects.split(",");
        StringBuilder sb = new StringBuilder();
        for (String s : split) {
            sb.append("sum(").append(s).append(") ").append(s).append(",");
        }
        //sb.deleteCharAt(sb.length()-1);
        return sb.toString();
    }

    public static String getSelectAvg(String selects) {
        String[] split = selects.split(",");
        StringBuilder sb = new StringBuilder();
        for (String s : split) {
            sb.append("avg(").append(s).append(") ").append(s).append(",");
        }
        //sb.deleteCharAt(sb.length()-1);
        return sb.toString();
    }
    public static DateTime[] getBeginEnd(Date date, DatePart datePart) {
        DateTime[] split = new DateTime[2];
        DateTime begin = null,end = null;
        end = DateUtil.endOfDay(date);
        switch (datePart){
            case DAY:
                begin = DateUtil.beginOfDay(date);
                break;
            case MONTH:
                begin = DateUtil.beginOfMonth(date);
                break;
            case YEAR:
                begin = DateUtil.beginOfYear(date);
                break;
            case CURRENT:
                begin = DateUtil.beginOfDay(date);
                end = DateUtil.date(date);
                break;
        }
        split[0]=begin;
        split[1]=end;
        return split;
    }
    public static DateTime[] getBeginEnd2(Date date, DatePart datePart) {
        DateTime[] split = new DateTime[2];
        DateTime begin = null,end = null;
        switch (datePart){
            case DAY:
                begin = DateUtil.beginOfDay(date);
                end = DateUtil.endOfDay(date);
                break;
            case MONTH:
                begin = DateUtil.beginOfMonth(date);
                end = DateUtil.endOfMonth(date);
                break;
            case YEAR:
                begin = DateUtil.beginOfYear(date);
                end = DateUtil.endOfYear(date);
                break;
            case CURRENT:
                begin = DateUtil.beginOfDay(date);
                end = DateUtil.date(date);
                break;
        }
        split[0]=begin;
        split[1]=end;
        return split;
    }
}
